ChildNodesLayout (Freeplane API 1.13.2)
Description: declaration: package: org.freeplane.api, enum: ChildNodesLayout

Package org.freeplane.api

# Enum Class ChildNodesLayout

java.lang.Object
java.lang.Enum<ChildNodesLayout>
org.freeplane.api.ChildNodesLayout

All Implemented Interfaces:
  `Serializable`, `Comparable<ChildNodesLayout>`, `Constable`

public enum ChildNodesLayout extends Enum<ChildNodesLayout>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTO`
  `AUTO_AFTERPARENT`
  `AUTO_BEFOREPARENT`
  `AUTO_CENTERED`
  `AUTO_FIRST`
  `AUTO_FLOW`
  `AUTO_LAST`
  `LEFTTORIGHT_BOTHSIDES_AUTO`
  `LEFTTORIGHT_BOTHSIDES_CENTERED`
  `LEFTTORIGHT_BOTHSIDES_FIRST`
  `LEFTTORIGHT_BOTHSIDES_FLOW`
  `LEFTTORIGHT_BOTHSIDES_LAST`
  `LEFTTORIGHT_BOTHSIDES_LEFT`
  `LEFTTORIGHT_BOTHSIDES_RIGHT`
  `LEFTTORIGHT_BOTTOM_AUTO`
  `LEFTTORIGHT_BOTTOM_CENTERED`
  `LEFTTORIGHT_BOTTOM_FIRST`
  `LEFTTORIGHT_BOTTOM_FLOW`
  `LEFTTORIGHT_BOTTOM_LAST`
  `LEFTTORIGHT_BOTTOM_LEFT`
  `LEFTTORIGHT_BOTTOM_RIGHT`
  `LEFTTORIGHT_TOP_AUTO`
  `LEFTTORIGHT_TOP_CENTERED`
  `LEFTTORIGHT_TOP_FIRST`
  `LEFTTORIGHT_TOP_FLOW`
  `LEFTTORIGHT_TOP_LAST`
  `LEFTTORIGHT_TOP_LEFT`
  `LEFTTORIGHT_TOP_RIGHT`
  `NOT_SET`
  `TOPTOBOTTOM_ASC_STACKEDAUTO`
  `TOPTOBOTTOM_BOTHSIDES_AUTO`
  `TOPTOBOTTOM_BOTHSIDES_BOTTOM`
  `TOPTOBOTTOM_BOTHSIDES_CENTERED`
  `TOPTOBOTTOM_BOTHSIDES_FIRST`
  `TOPTOBOTTOM_BOTHSIDES_FLOW`
  `TOPTOBOTTOM_BOTHSIDES_LAST`
  `TOPTOBOTTOM_BOTHSIDES_STACKEDAUTO`
  `TOPTOBOTTOM_BOTHSIDES_TOP`
  `TOPTOBOTTOM_DESC_STACKEDAUTO`
  `TOPTOBOTTOM_LEFT_AUTO`
  `TOPTOBOTTOM_LEFT_BOTTOM`
  `TOPTOBOTTOM_LEFT_CENTERED`
  `TOPTOBOTTOM_LEFT_FIRST`
  `TOPTOBOTTOM_LEFT_FLOW`
  `TOPTOBOTTOM_LEFT_LAST`
  `TOPTOBOTTOM_LEFT_TOP`
  `TOPTOBOTTOM_RIGHT_AUTO`
  `TOPTOBOTTOM_RIGHT_BOTTOM`
  `TOPTOBOTTOM_RIGHT_CENTERED`
  `TOPTOBOTTOM_RIGHT_FIRST`
  `TOPTOBOTTOM_RIGHT_FLOW`
  `TOPTOBOTTOM_RIGHT_LAST`
  `TOPTOBOTTOM_RIGHT_TOP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChildNodesAlignment`
  `childNodesAlignment()`
  `ChildrenSides`
  `childrenSides()`
  `LayoutOrientation`
  `layoutOrientation()`
  `static Optional<ChildNodesLayout>`
  `using(LayoutOrientation layoutOrientation, ChildrenSides childrenSides, ChildNodesAlignment childNodesAlignment)`
  `static ChildNodesLayout`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChildNodesLayout[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_SET

    public static final ChildNodesLayout NOT_SET

  - ### TOPTOBOTTOM_LEFT_TOP

    public static final ChildNodesLayout TOPTOBOTTOM_LEFT_TOP

  - ### TOPTOBOTTOM_BOTHSIDES_TOP

    public static final ChildNodesLayout TOPTOBOTTOM_BOTHSIDES_TOP

  - ### TOPTOBOTTOM_RIGHT_TOP

    public static final ChildNodesLayout TOPTOBOTTOM_RIGHT_TOP

  - ### TOPTOBOTTOM_LEFT_LAST

    public static final ChildNodesLayout TOPTOBOTTOM_LEFT_LAST

  - ### TOPTOBOTTOM_BOTHSIDES_LAST

    public static final ChildNodesLayout TOPTOBOTTOM_BOTHSIDES_LAST

  - ### TOPTOBOTTOM_RIGHT_LAST

    public static final ChildNodesLayout TOPTOBOTTOM_RIGHT_LAST

  - ### TOPTOBOTTOM_LEFT_CENTERED

    public static final ChildNodesLayout TOPTOBOTTOM_LEFT_CENTERED

  - ### TOPTOBOTTOM_BOTHSIDES_CENTERED

    public static final ChildNodesLayout TOPTOBOTTOM_BOTHSIDES_CENTERED

  - ### TOPTOBOTTOM_RIGHT_CENTERED

    public static final ChildNodesLayout TOPTOBOTTOM_RIGHT_CENTERED

  - ### TOPTOBOTTOM_LEFT_FLOW

    public static final ChildNodesLayout TOPTOBOTTOM_LEFT_FLOW

  - ### TOPTOBOTTOM_BOTHSIDES_FLOW

    public static final ChildNodesLayout TOPTOBOTTOM_BOTHSIDES_FLOW

  - ### TOPTOBOTTOM_RIGHT_FLOW

    public static final ChildNodesLayout TOPTOBOTTOM_RIGHT_FLOW

  - ### TOPTOBOTTOM_LEFT_FIRST

    public static final ChildNodesLayout TOPTOBOTTOM_LEFT_FIRST

  - ### TOPTOBOTTOM_BOTHSIDES_FIRST

    public static final ChildNodesLayout TOPTOBOTTOM_BOTHSIDES_FIRST

  - ### TOPTOBOTTOM_RIGHT_FIRST

    public static final ChildNodesLayout TOPTOBOTTOM_RIGHT_FIRST

  - ### TOPTOBOTTOM_LEFT_BOTTOM

    public static final ChildNodesLayout TOPTOBOTTOM_LEFT_BOTTOM

  - ### TOPTOBOTTOM_BOTHSIDES_BOTTOM

    public static final ChildNodesLayout TOPTOBOTTOM_BOTHSIDES_BOTTOM

  - ### TOPTOBOTTOM_RIGHT_BOTTOM

    public static final ChildNodesLayout TOPTOBOTTOM_RIGHT_BOTTOM

  - ### LEFTTORIGHT_TOP_LEFT

    public static final ChildNodesLayout LEFTTORIGHT_TOP_LEFT

  - ### LEFTTORIGHT_TOP_LAST

    public static final ChildNodesLayout LEFTTORIGHT_TOP_LAST

  - ### LEFTTORIGHT_TOP_CENTERED

    public static final ChildNodesLayout LEFTTORIGHT_TOP_CENTERED

  - ### LEFTTORIGHT_TOP_FLOW

    public static final ChildNodesLayout LEFTTORIGHT_TOP_FLOW

  - ### LEFTTORIGHT_TOP_FIRST

    public static final ChildNodesLayout LEFTTORIGHT_TOP_FIRST

  - ### LEFTTORIGHT_TOP_RIGHT

    public static final ChildNodesLayout LEFTTORIGHT_TOP_RIGHT

  - ### LEFTTORIGHT_BOTHSIDES_LEFT

    public static final ChildNodesLayout LEFTTORIGHT_BOTHSIDES_LEFT

  - ### LEFTTORIGHT_BOTHSIDES_LAST

    public static final ChildNodesLayout LEFTTORIGHT_BOTHSIDES_LAST

  - ### LEFTTORIGHT_BOTHSIDES_CENTERED

    public static final ChildNodesLayout LEFTTORIGHT_BOTHSIDES_CENTERED

  - ### LEFTTORIGHT_BOTHSIDES_FLOW

    public static final ChildNodesLayout LEFTTORIGHT_BOTHSIDES_FLOW

  - ### LEFTTORIGHT_BOTHSIDES_FIRST

    public static final ChildNodesLayout LEFTTORIGHT_BOTHSIDES_FIRST

  - ### LEFTTORIGHT_BOTHSIDES_RIGHT

    public static final ChildNodesLayout LEFTTORIGHT_BOTHSIDES_RIGHT

  - ### LEFTTORIGHT_BOTTOM_LEFT

    public static final ChildNodesLayout LEFTTORIGHT_BOTTOM_LEFT

  - ### LEFTTORIGHT_BOTTOM_LAST

    public static final ChildNodesLayout LEFTTORIGHT_BOTTOM_LAST

  - ### LEFTTORIGHT_BOTTOM_CENTERED

    public static final ChildNodesLayout LEFTTORIGHT_BOTTOM_CENTERED

  - ### LEFTTORIGHT_BOTTOM_FLOW

    public static final ChildNodesLayout LEFTTORIGHT_BOTTOM_FLOW

  - ### LEFTTORIGHT_BOTTOM_FIRST

    public static final ChildNodesLayout LEFTTORIGHT_BOTTOM_FIRST

  - ### LEFTTORIGHT_BOTTOM_RIGHT

    public static final ChildNodesLayout LEFTTORIGHT_BOTTOM_RIGHT

  - ### TOPTOBOTTOM_LEFT_AUTO

    public static final ChildNodesLayout TOPTOBOTTOM_LEFT_AUTO

  - ### TOPTOBOTTOM_BOTHSIDES_AUTO

    public static final ChildNodesLayout TOPTOBOTTOM_BOTHSIDES_AUTO

  - ### TOPTOBOTTOM_RIGHT_AUTO

    public static final ChildNodesLayout TOPTOBOTTOM_RIGHT_AUTO

  - ### LEFTTORIGHT_TOP_AUTO

    public static final ChildNodesLayout LEFTTORIGHT_TOP_AUTO

  - ### LEFTTORIGHT_BOTHSIDES_AUTO

    public static final ChildNodesLayout LEFTTORIGHT_BOTHSIDES_AUTO

  - ### LEFTTORIGHT_BOTTOM_AUTO

    public static final ChildNodesLayout LEFTTORIGHT_BOTTOM_AUTO

  - ### AUTO_AFTERPARENT

    public static final ChildNodesLayout AUTO_AFTERPARENT

  - ### AUTO_FIRST

    public static final ChildNodesLayout AUTO_FIRST

  - ### AUTO_CENTERED

    public static final ChildNodesLayout AUTO_CENTERED

  - ### AUTO_FLOW

    public static final ChildNodesLayout AUTO_FLOW

  - ### AUTO_LAST

    public static final ChildNodesLayout AUTO_LAST

  - ### AUTO_BEFOREPARENT

    public static final ChildNodesLayout AUTO_BEFOREPARENT

  - ### TOPTOBOTTOM_ASC_STACKEDAUTO

    public static final ChildNodesLayout TOPTOBOTTOM_ASC_STACKEDAUTO

  - ### TOPTOBOTTOM_BOTHSIDES_STACKEDAUTO

    public static final ChildNodesLayout TOPTOBOTTOM_BOTHSIDES_STACKEDAUTO

  - ### TOPTOBOTTOM_DESC_STACKEDAUTO

    public static final ChildNodesLayout TOPTOBOTTOM_DESC_STACKEDAUTO

  - ### AUTO

    public static final ChildNodesLayout AUTO

- ## Method Details

  - ### values

    public static ChildNodesLayout[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChildNodesLayout valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### using

    public static Optional<ChildNodesLayout> using(LayoutOrientation layoutOrientation, ChildrenSides childrenSides, ChildNodesAlignment childNodesAlignment)

  - ### childrenSides

    public ChildrenSides childrenSides()

  - ### childNodesAlignment

    public ChildNodesAlignment childNodesAlignment()

  - ### layoutOrientation

    public LayoutOrientation layoutOrientation()